Summary:       An Enchanting Spell Checking Library
Name:          enchant
Version:       1.6.0
Release:       6%{?dist}
License:       LGPLv2+
URL:           http://www.abisource.com/
Source0:       %{url}/downloads/enchant/%{version}/enchant-%{version}.tar.gz
BuildRequires: make gcc-c++ automake libtool
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: aspell-devel hunspell-devel
BuildRequires: libvoikko-devel

%description
A library that wraps other spell checking backends.


%package aspell
Summary:       Integration with aspell for libenchant
Requires:      enchant = %{version}-%{release}

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.


%package voikko
Summary:       Integration with voikko for libenchant
Requires:      enchant = %{version}-%{release}

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.


%package devel
Summary:       Support files necessary to compile applications with libenchant.
Requires:      enchant = %{version}-%{release}
Requires:      glib2-devel

%description devel
Libraries, headers, and support files necessary to compile applications using libenchant.


%prep
%autosetup

%build
%configure --enable-myspell --with-myspell-dir=/usr/share/hunspell --disable-static --disable-ispell --disable-hspell --disable-zemberek
%{make_build}


%install
rm -rf $RPM_BUILD_ROOT
%{make_install}
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/enchant/*.la


%files
%license COPYING.LIB
%doc AUTHORS README
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/enchant
%{_libdir}/enchant/lib*myspell.so*
%{_datadir}/enchant
%{_mandir}/man1/enchant.1*

%files aspell
%{_libdir}/enchant/lib*aspell.so*

%files voikko
%{_libdir}/enchant/lib*_voikko.so*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/enchant.pc
%{_includedir}/enchant


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Miaojun Dong <zoedong@tencent.com> - 1.6.0-5
- Rebuild for hunspell-1.7.2

* Fri May 19 2023 rockerzhu <rockerzhu@tencent.com> - 1.6.0-4
- Fix error in Source0.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 06 2023 rockerzhu <rockerzhu@tencent.com> - 1.6.0-1
- Initial build
